megaco_digit_map(3)

NAME
megaco_digit_map - Digit Map utility module.

DESCRIPTION

This is a Digit Map utility module (types).

  Version note

This module has existed in the megaco app for long time, but as of 27.0, its also documented.

DATA TYPES

cancel() :: $z | $Z | cancel.

    $z | $Z | cancel
event() :: letter() | pause() | cancel().
kind() :: full | unambiguous.
letter() :: $0..$9 | $a..$k | $A..$K.

    $0..$9 | $a..$k | $A..$K
one_second() :: $s | $S.

    $s | $S
pause() :: one_second() | ten_seconds().
ten_seconds() :: $l | $L.

    $l | $L
value() :: #'DigitMapValue'{}.

FUNCTIONS